<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (akta) {
      <div>
        <h2 data-cy="aktaDetailsHeading"><span>Akta</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ akta.id }}</span>
          </dd>
          <dt><span>Tgl Order</span></dt>
          <dd>
            <span>{{ akta.tglOrder | formatMediumDate }}</span>
          </dd>
          <dt><span>Order Type</span></dt>
          <dd>
            <span>{{ akta.orderType }}</span>
          </dd>
          <dt><span>Kode</span></dt>
          <dd>
            <span>{{ akta.kode }}</span>
          </dd>
          <dt><span>Nomor</span></dt>
          <dd>
            <span>{{ akta.nomor }}</span>
          </dd>
          <dt><span>Tanggal</span></dt>
          <dd>
            <span>{{ akta.tanggal }}</span>
          </dd>
          <dt><span>Pukul Awal</span></dt>
          <dd>
            <span>{{ akta.pukulAwal | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Pukul Akhir</span></dt>
          <dd>
            <span>{{ akta.pukulAkhir | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ akta.status }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ akta.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ akta.updateOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Ppk</span></dt>
          <dd>
            @if (akta.ppk) {
              <div>
                <a [routerLink]="['/ppk', akta.ppk.id, 'view']">{{ akta.ppk.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Notaris</span></dt>
          <dd>
            @if (akta.notaris) {
              <div>
                <a [routerLink]="['/notaris', akta.notaris.id, 'view']">{{ akta.notaris.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Penerima Kuasa</span></dt>
          <dd>
            @if (akta.penerimaKuasa) {
              <div>
                <a [routerLink]="['/penerima-kuasa', akta.penerimaKuasa.id, 'view']">{{ akta.penerimaKuasa.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Saksi One</span></dt>
          <dd>
            @if (akta.saksiOne) {
              <div>
                <a [routerLink]="['/saksi', akta.saksiOne.id, 'view']">{{ akta.saksiOne.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Saksi Two</span></dt>
          <dd>
            @if (akta.saksiTwo) {
              <div>
                <a [routerLink]="['/saksi', akta.saksiTwo.id, 'view']">{{ akta.saksiTwo.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Cabang</span></dt>
          <dd>
            @if (akta.cabang) {
              <div>
                <a [routerLink]="['/cabang', akta.cabang.id, 'view']">{{ akta.cabang.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Sk Subtitusi</span></dt>
          <dd>
            @if (akta.skSubtitusi) {
              <div>
                <a [routerLink]="['/sk-subtitusi', akta.skSubtitusi.id, 'view']">{{ akta.skSubtitusi.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/akta', akta.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
